#Inhabited Planets Plugin
#CvFinalFrontierEvents.py

#	1. Open CvFinalFrontierEvents.py with your preferred text editor
#	2. Search for the string below in the file:
#		"#Inhabited Planets gameoption (Removed in Final Frontier Plus)"
#	3. Overwrite that line with the code below:

		if gc.getGame().isOption(gc.getInfoTypeForString("GAMEOPTION_NO_ALIENS")):
			for i in range(CyMap().numPlots()):
				pAlien = CyMap().plot(i)
				if pAlien.getFeatureType() == self.iFeatureIDSolarSystem:
					if pAlien.getImprovementType() == gc.getInfoTypeForString('IMPROVEMENT_ALIENS'):
						pAlien.setImprovementType(-1)
						pAlien.removeGoody()

#	4. Search for the string below in the file:
#		"#Inhabited Planets custom goodies (onGoodyReceived) (Removed in Mod Platform Version)"
#	5. Overwrite that line with the code below:

#############################################################################################
#	Inhabited Planets custom goodies
#############################################################################################
	def onGoodyReceived(self, argsList):
		'Goody received'
		self.parent.onGoodyReceived(self, argsList)
		iPlayer, pPlot, pUnit, iGoodyType = argsList
		
		pPlayer = gc.getPlayer(iPlayer)
		pSystem = self.getSystemAt(pPlot.getX(), pPlot.getY())
		pBarbPlayer = gc.getPlayer(gc.getBARBARIAN_PLAYER())
		
		#New city
		if iGoodyType == gc.getInfoTypeForString("GOODY_ALIEN_GIFT_CITY"):
			pCity = pPlayer.initCity(pPlot.getX(), pPlot.getY())
			pCity.setPopulation(2)
			self.initValues()
			addBasicBuildingsToBestPlanet(pSystem)
			self.updatePlotYield(pPlot)
			pBestPlanet = pSystem.getPlanetByIndex(getBestPlanetInSystem(pSystem))
			pSystem.setSelectedPlanet(pBestPlanet.getOrbitRing())
			pSystem.setBuildingPlanetRing(pBestPlanet.getOrbitRing())
			pBestPlanet.setName(pCity.getName())
			AI.doCityAIUpdate(pCity)